FreeBSD : jenkins -- Buffer corruption in bundled Jetty (09ea1b08-1d3e-4bf2-91a1-d6573f4da3d8)

critical Nessus Plugin ID 139640

Language:

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

Jenkins Security Advisory : Description(Critical) SECURITY-1983 / CVE-2019-17638 Buffer corruption in bundled Jetty

Solution

Update the affected packages.

See Also

https://www.jenkins.io/security/advisory/2020-08-17/

http://www.nessus.org/u?71e34d5a

Plugin Details

Severity: Critical

ID: 139640

File Name: freebsd_pkg_09ea1b081d3e4bf291a1d6573f4da3d8.nasl

Version: 1.2

Type: local

Published: 8/18/2020

Updated: 8/20/2020

Risk Information

VPR

Risk Factor: Medium

Score: 5.5

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 9.4

Temporal Score: 8.2

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:L

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:jenkins, p-cpe:/a:freebsd:freebsd:jenkins-lts, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Ease: No known exploits are available

Patch Publication Date: 8/17/2020

Vulnerability Publication Date: 8/17/2020

Reference Information

CVE: CVE-2019-17638